<template>
     <form @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('end_item.name_dr')}}</label>
                <div class="col-lg-6">
                    <v-select name="end_item" label="end_item_name_dr" v-validate="'required'"  dir="rtl" :options="options.end_item" v-model='s_fields.end_item'>
                    </v-select>
                    <span v-if="s_errors && s_errors.end_item" class="m-form__help text-danger">{{s_errors.end_item[0]}}</span>
                    <span v-else class="m-form__help">{{$t('end_item.mi_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('vendor.name_dr')}}</label>
                <div class="col-lg-6">
                    <v-select name="vendor" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.vendor" v-model='s_fields.vendor'>
                    </v-select>
                    <span v-if="s_errors && s_errors.sub_item" class="m-form__help text-danger">{{s_errors.sub_item[0]}}</span>
                    <span v-else class="m-form__help">{{$t('vendor.si_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('end_item_details.name_dr')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="end_item_details_dr" v-model="s_fields.end_item_details_dr" :placeholder="$t('end_item_details.pl_holder')">
                    <span v-if="s_errors && s_errors.end_item_details_dr"  class="m-form__help text-danger">{{s_errors.end_item_details_dr[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('end_item_details_dr')}" >{{errors.has('end_item_details_dr') ? errors.first('end_item_details_dr'): $t("end_item_details.si_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('end_item_details.name_pa')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="end_item_details_pa" v-model="s_fields.end_item_details_pa" :placeholder="$t('end_item_details.pl_holder')">
                    <span v-if="s_errors && s_errors.end_item_details_pa" class="m-form__help text-danger">{{s_errors.end_item_details_pa[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('end_item_details_pa')}" >{{errors.has('end_item_details_pa') ? errors.first('end_item_details_pa'): $t("end_item_details.si_note") }} </span>
                </div>
            </div>

            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('end_item_details.name_en')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="end_item_details_en" v-model="s_fields.end_item_details_en" :placeholder="$t('end_item_details.pl_holder')">
                    <span v-if="s_errors && s_errors.end_item_details_en" class="m-form__help text-danger">{{s_errors.end_item_details_en[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('end_item_details_en')}" >{{errors.has('end_item_details_en') ? errors.first('end_item_details_en'): $t("end_item_details.si_note") }} </span>
                </div>
            </div>

        </div>
        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-2"></div>
                    <div class="col-lg-6">
                        <button type="submit" class="btn btn-brand">{{this.$route.meta.btn_label}}</button>
                        <router-link to="/end_item_details" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        name: 'MainItemForm',
        mixins: [SubmitForm],
        data(){
            return {
                'url': 'api/end_item_details',
                'editMode': this.$route.meta.editMode,
                options: {

                },
                s_fields: {
                  end_item: ['یگ گزینه را انتخاب کنید.'],
                  vendor: ['یگ گزینه را انتخاب کنید.'],
                },
            }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            })
              //Listen to get-end-item event and call get_public_data function
              this.$root.$on('get-options', () => {
              this.getOptions('api/end_details_item_option');
              this.$root.$off('get-options');
            })
        }
    }
</script>
